import { Component,OnInit } from '@angular/core';
import Parse from "parse";
import { Router } from '@angular/router';
import { DomSanitizer, SafeResourceUrl } from '@angular/platform-browser';
import { NavController } from '@ionic/angular'
@Component({
  selector: 'app-tab1',
  templateUrl: 'tab1.page.html',
  styleUrls: ['tab1.page.scss']
})
export class Tab1Page implements OnInit {
  selectedSegment: string = 'explore';
  constructor(private router: Router,private domSan:DomSanitizer,private navCtrl: NavController) 
  {
    this.safeHTML = domSan.bypassSecurityTrustHtml(``)
  }
  Tofind() {
    this.router.navigate(['/find']);
  }
  Toadd() {
    this.router.navigate(['/study/case-parse-petmarket']);
  }
  ngOnInit() {
    setInterval(() => {  
      this.nextSlide();  
    }, 3000);
  }
  nextSlide() {  
    this.currentIndex = (this.currentIndex + 1) % this.slides.length;  
  }  
  
  search(event: any) {  
    console.log('Searching for:', event.detail.value);  
    if(event?.detail?.value){
      this.loadtupianList(event?.detail?.value)
    }
  }  
    results:Parse.Object[] = []
    segment = 'tupian';  
    async loadtupianList(search:string){
      let query = new Parse.Query("tupian");
      query.select("title");
      query.contains("title",search);
      
      query.limit(10);
      this.results = await query.find();
    }
    slides = [  
      { image: 'https://img.zcool.cn/community/031c1d1579eb5b00000018c1bc7726a.jpg' },  
      { image: 'https://pic.616pic.com/ys_bnew_img/00/20/29/NIas1YXfRf.jpg' },  
      { image: 'https://www.logosc.cn/uploads/output/2021/06/13/134956be3d884bb59ee644b7e25558d6.jpg?t=1627267414' }  
    ];  
    currentIndex = 0; 
currentTab:string = "static"
safeHTML: SafeResourceUrl|undefined

}
 

