import { Component, OnInit } from '@angular/core';
import { NavController } from '@ionic/angular';
import { Router } from '@angular/router';

@Component({
  selector: 'app-tab4',
  templateUrl: './tab4.page.html',
  styleUrls: ['./tab4.page.scss'],
})
export class Tab4Page implements OnInit {

  constructor(private navCtrl: NavController,private router: Router) {}
  ToEditInfo() {
    this.router.navigate(['/edit-info']);
  }
  Settings() {
    this.router.navigate(['/settings']);
  }
  Login() {
    this.navCtrl.navigateForward('/user/login');
  }
  selectLanguage() {
    this.router.navigate(['/language-settings']);
  }
 // 由于Parse.User.current()是随着localStorage变化的属性
  // 为了避免首次复制后用户状态变化，页面不同步，通过get方法实现实时获取
  user:Parse.User|undefined
  async ngOnInit() {
    this.user = await Parse.User.current()
      setInterval(async ()=>{
      this.user = await Parse.User.current()
    },1000)
  }
  logout(){
    Parse.User.logOut();
  }
  
}

