import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { NavController } from '@ionic/angular';
import Parse from "parse";
@Component({
  selector: 'app-case-pet-edit',
  templateUrl: './case-pet-edit.page.html',
  styleUrls: ['./case-pet-edit.page.scss'],
})
export class CasePetEditPage implements OnInit {

  constructor(
    private route:ActivatedRoute,
    private navCtrl:NavController
  ) { 

  }

  // 宠物相关可编辑字段
  ShangpinInfo:any = {

  }
  async save(){
    // 将shangpiInfo当前编辑元素，逐个set到this.shangpi的Parse.Object里面去
    console.log(this.ShangpinInfo)
    console.log(this.Shangpin)
    Object.keys(this.ShangpinInfo).forEach(key=>{
      this.Shangpin?.set(key,this.ShangpinInfo[key])
    })
    // 判断，当创建宠物无创建者，则将Parse.User的.toPointer()指针，赋值给user字段
    if(!this.Shangpin?.get("user")?.id) this.Shangpin?.set("user",this.user?.toPointer())
    await this.Shangpin?.save()
    this.navCtrl.back();
  }
  cancel(){
    this.navCtrl.back();
  }

  user:Parse.User|undefined
  ngOnInit() {
    this.user = Parse.User.current();
    this.loadshangpiById()
  }

  Shangpin:Parse.Object|undefined
  async loadshangpiById(){
    // let id = location.pathname.split("/").pop();
    let id = this.route.snapshot.params["id"]

    if(id&&id!="new"){
      let query = new Parse.Query("Shangpin");
      this.Shangpin = await query.get(id);
    }else{
      let Shangpin = Parse.Object.extend("Shangpin");
      this.Shangpin = new Shangpin();
    }
    this.ShangpinInfo = this.Shangpin?.toJSON()
  }

}
